<?php

  if( $_GET['Do'] == '1' ){

    $position   = '../';

    require_once($position.'../switch/access.php');
  	require_once($position.'assets/global.php');
  	require_once($position.'assets/session.php');
  	require_once($position.'assets/funciones.php');

    //Letras
    $Letra[1] = 'A';
    $Letra[2] = 'B';
    $Letra[3] = 'C';
    $Letra[4] = 'D';
    $Letra[5] = 'E';
    $Letra[6] = 'F';
    $Letra[7] = 'G';
    $Letra[8] = 'H';
    $Letra[9] = 'I';
    $Letra[10] = 'J';
    $Letra[11] = 'K';
    $Letra[12] = 'L';
    $Letra[13] = 'M';
    $Letra[14] = 'N';
    $Letra[15] = 'O';
    $Letra[16] = 'P';
    $Letra[17] = 'Q';
    $Letra[18] = 'R';
    $Letra[19] = 'S';
    $Letra[20] = 'T';
    $Letra[21] = 'U';
    $Letra[22] = 'V';
    $Letra[23] = 'W';
    $Letra[24] = 'X';
    $Letra[25] = 'Y';
    $Letra[26] = 'Z';

    //Posicion 1-5
    $CodigoPos1 = 'BOING';

    //Posición 6-7
    //1 - 33
    for( $i = 1; $i <= 1; $i++ ){

      $Codigo = '';

      $Codigo = $CodigoPos1;

      $Pos2 = str_pad($i,2,"0", STR_PAD_LEFT);

      $Codigo = $Codigo.$Pos2;

      // echo $Codigo;
      // echo "<br>";

      //Posicion 8
      for( $j = 1; $j <= 26; $j++ ){

        $Codigo2 = $Codigo.$Letra[$j];

        // echo $Codigo2;
        // echo "<hr>";

        //Posicion 9
        for( $h = 1; $h <= 26; $h++ ){

          $Codigo3 = $Codigo2.$Letra[$h];

          // echo $Codigo3;
          // echo "<hr>";

          //Posicion 10-13
          //1 - 9999
          for( $k = 1; $k <= 999999; $k++ ){

            $Pos4 = str_pad($k,4,"0", STR_PAD_LEFT);
            $Codigo4 = $Codigo3.$Pos4;

            //Guarda Codigos
      	    $Query = "
      				INSERT INTO eventos_codigos (
      					fk_cliente, fk_evento,
                fk_usuario_tipo,
                codigo, usado,
      					activo
      				)VALUES(
      					'2', '2',
      					'3',
      					'$Codigo4', '0',
      					'1'
      				)
      			";
      	    $Result = mysqli_query($mysqli, $Query);

          }
          //End Posicion 10-13

        }
        //End Posicion 9

      }
      //End Posicion 8

    }
    //End Posición 6-7

  }

?>
